Subject: Re: [PATCH] Fix cygwin install issues

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 10 Oct 2005 08:02:56 -0700

Junio C Hamano wrote:
> Jonas Fonseca <[email-masked]> writes:
> 
> 
>>Support installing to paths including spaces.
>>Remove any old .exe files so ln will succeed.
>>
> 
> This is not a complaint but I am just wondering if:
> 
> 
>>-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
>>+	$(INSTALL) -d -m755 "$(DESTDIR)$(bindir)"
> 
> this is the right way to quote things.  I suspect it might be
> the responsibility of the user to quote them if she chooses to
> set bindir or DESTDIR to a funky value, like this:
> 
>     $ make bindir="'My Documents\Programs'"

I don't think that's the right approach.

	$(INSTALL) -d -m755 '$(DESTDIR)$(bindir)'

... at least handles everything except embedded single quotes.  Note 
that the single quote is not a special character for make.

> Because depending on how funky the values of bindir and DESTDIR
> are, we cannot say double-quote you are giving them is even the
> right quoting (think double-quote itself as part of the name).
> 
> The other "$X" change to cmd-renames is a good change (I thought
> I heard HPA talking about that; maybe he sent one to me and I
> dropped it on the floor by mistake, I dunno).  Thanks.

If I dropped it on the floor, it was mentally :-/

	-hpa